xcb_glx_create_window(3)

NAME
xcb_glx_create_window -

SYNOPSIS
#include <xcb/glx.h>

  Request function

xcb_void_cookie_t xcb_glx_create_window(xcb_connection_t *conn, uint32_t screen, xcb_glx_fbconfig_t fbconfig, xcb_window_t window, xcb_glx_window_t glx_window, uint32_t num_attribs, const uint32_t *attribs);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

screen
    TODO: NOT YET DOCUMENTED.

fbconfig
    TODO: NOT YET DOCUMENTED.

window
    TODO: NOT YET DOCUMENTED.

glx_window
    TODO: NOT YET DOCUMENTED.

num_attribs
    TODO: NOT YET DOCUMENTED.

attribs
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_glx_create_window_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from glx.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.